Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcClientRequestImpl

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcClientRequestImpl

All Implemented Interfaces:
  XmlRpcRequest

    public class XmlRpcClientRequestImpl

extends java.lang.Object
implements XmlRpcRequest

Default implementation of `XmlRpcRequest`.

Constructor Summary
`XmlRpcClientRequestImpl(XmlRpcRequestConfig pConfig, java.lang.String pMethodName, java.util.List pParams)` Creates a new instance.
`XmlRpcClientRequestImpl(XmlRpcRequestConfig pConfig, java.lang.String pMethodName, java.lang.Object[] pParams)` Creates a new instance.

Method Summary
`XmlRpcRequestConfig` | `getConfig()` Returns the request configuration.
`java.lang.String` | `getMethodName()` Returns the requests method name.
`java.lang.Object` | `getParameter(int pIndex)` Returns the parameter with index `pIndex`.
`int` | `getParameterCount()` Returns the number of parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcClientRequestImpl

    public XmlRpcClientRequestImpl(XmlRpcRequestConfig pConfig,
                                   java.lang.String pMethodName,
                                   java.lang.Object[] pParams)

  Creates a new instance.

  Parameters:
    `pConfig` - The request configuration.
    `pMethodName` - The method name being performed.
    `pParams` - The parameters.
  Throws:
    `java.lang.NullPointerException` - One of the parameters is null.

### XmlRpcClientRequestImpl

    public XmlRpcClientRequestImpl(XmlRpcRequestConfig pConfig,
                                   java.lang.String pMethodName,
                                   java.util.List pParams)

  Creates a new instance.

  Parameters:
    `pConfig` - The request configuration.
    `pMethodName` - The method name being performed.
    `pParams` - The parameters.
  Throws:
    `java.lang.NullPointerException` - The method name or the parameters are null.

Method Detail

### getMethodName

    public java.lang.String getMethodName()

  Description copied from interface: `XmlRpcRequest`
  Returns the requests method name.

  Specified by:
    `getMethodName` in interface `XmlRpcRequest`
  Returns:
    Name of the method being invoked.

### getParameterCount

    public int getParameterCount()

  Description copied from interface: `XmlRpcRequest`
  Returns the number of parameters.

  Specified by:
    `getParameterCount` in interface `XmlRpcRequest`
  Returns:
    Number of parameters.

### getParameter

    public java.lang.Object getParameter(int pIndex)

  Description copied from interface: `XmlRpcRequest`
  Returns the parameter with index `pIndex`.

  Specified by:
    `getParameter` in interface `XmlRpcRequest`
  Parameters:
    `pIndex` - Number between 0 and `XmlRpcRequest.getParameterCount()`-1.
  Returns:
    Parameter being sent to the server.

### getConfig

    public XmlRpcRequestConfig getConfig()

  Description copied from interface: `XmlRpcRequest`
  Returns the request configuration.

  Specified by:
    `getConfig` in interface `XmlRpcRequest`
  Returns:
    The request configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.